﻿# 2017 Demo
image bg classroom = "Classroom_01_day.jpg"
image bg bedroom = "Bedroom.png"
image bg schoolgate = "school_gate_2.jpg"
image bg street = "Backstreet Morning.jpg"
image bg sky = "Clouds.png"
image bg hallway = "Corridor Day.jpg"
image bg commons = "Cafe Painted.png"

image arthur normal = "m1_default.png"
image arthur frown = "m1_frown.png"
image arthur smile = "m1_smile.png"
image arthur wink = "m1_wink.png"
image arthur sad = "m1_sad.png"
image arthur pout = "m1_pout.png"
image arthur shock = "m1_shock.png"
image arthur angry = "m1_angry.png"
image arthur confused = "m1_confused.png"

image cara normal = "f1_default.png"
image cara frown = "f1_frown.png"
image cara smile = "f1_smile.png"
image cara wink = "f1_wink.png"
image cara sad = "f1_sad.png"
image cara pout = "f1_pout.png"
image cara eyesmile = "f1_eyesmile.png"
image cara shock = "f1_shock.png"
image cara angry = "f1_angry.png"
image cara confused = "f1_confused.png"

image penny normal = "neutral.png"
image penny sad = "sad.png"
image penny angry = "angry.png"
image penny smile = "smile.png"

# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define a = Character('Amos', color="#c8ffc8")
define a2 = Character('Arthur', color="#c8ffc8")
define p = Character('Penny', color = "c8ffc8")
define c = Character('Cara', color="#c8ffc8")
define tv = Character('TV', color="#c8ffc8")
define u = Character('???', color="#c8ffc8")
define cm1 = Character('Male Classmate', color = "c8ffc8")
define cm2 = Character('Female Classmate', color = "c8ffc8")

default CaraCount = 0
default Lock1Unlocked = False
default Lock3Unlocked = False
default PennyCount = 0
default Lock2Unlocked = False

# The game starts here.
label start:

    play music "Cloudy Window (Look Into The Past).mp3"

    scene bg sky

    with fade

    "There are lots of people in this world. Some do great things, some do cruel acts only hurting others, and maybe even themselves."
    "Around me, I see all kinds of people that I never talk to. People that talk to each other and have known each other for years."
    "I stand still witnessing it all, stuck inside my own head, because I really don't know what to say most of the time."
    "Some people have all the luck - knowing their friends for years and just having them stay around."
    "And then there are people like me."
    "My name is Amos, and well, I kinda suck."
    "I've never been good at this thing called \"life.\""
    "I'm alone in this world. It wasn't always this way, though... I remember when things were different."
    "That was so many years ago, though."
    "I remember the feel the of the cool autumn air, all the colored leaves on the ground, and two young children playing together."
    "The two of them were best friends, and always happy to be with each other."
    "Sadly, it wouldn't last. The young boy was left alone and would be forced to move on. Luckily, he had made new friends."
    "In the end, these new friends would have to leave too."
    "Over the years, he tried again and again, but everyone just left - nobody ever stayed. It was recently when he realized things weren't fine."
    "What happened to this boy afterwards? Where is he now?"
    "Well, in case my connotation wasn't enough for you, that boy I mentioned is me, and he's thinking about life."

    scene bg bedroom
    with fade

    stop music fadeout 1.0

    u "GOOD MORNING!!!"

    show arthur smile
    with dissolve

    play music "An Adventurer (Arthur).mp3"

    a "...Hi."
    u "Dammit."
    a "You're not that scary, Arthur."

    show arthur wink
    with dissolve

    a2 "Well, I tried."
    "No, you didn't."
    "Arthur is my older brother. I've been cursed to live with him for years."
    "He's not really the greatest person in the world, but who is, anyways?"
    a "So... um, get out of my room."

    show arthur normal
    with dissolve

    a2 "Just wanted to make sure you were ready for the demo."
    a "What the hell are you talking about?"

    show arthur wink
    with dissolve

    a2 "It's nothing."
    a "Whatever. I need to get ready for school."
    a "I'm gonna go eat breakfast, all right?"

    show arthur normal
    with dissolve

    a2 "...Okay."
    a "Also, leave me alone for the rest of the morning."
    "Knowing him, Arthur probably wouldn't."

    hide arthur normal
    with dissolve

    stop music fadeout 1.0
    play music "Afternoon Sun (Calm Moment).mp3"

    "After I finished eating, I returned to my room to get dressed for school."
    "The more I thought about it, the more nervous I was."
    "I only had one more year of high school left, yet I still didn't have a clue what I was going to do afterwards."
    "Some people say it's okay and that you've got time to decide, but this really isn't a whole lot of time, obviously."
    "This isn't the only issue I'm going to have, though."
    "The friends I had prior to this year... well, they're pretty much all gone."
    "It's going to feel so weird going to the same school I went to with those guys, but without them."
    "Should I even bother trying to make friends, knowing that in the end I'm probably just going to lose them as well?"
    "As these thoughts went through my head, I looked through my drawers, and I threw on a red shirt."
    "Afterwards, I put a pair of pants on, and then my light grey jacket went on next."
    "Next, I found my black backpack and put in on, and then went to the bathroom."
    "I took a look at myself in the mirror."
    "Is this what a senior is supposed to look like? I think if someone didn't know me, they'd think I was in my mid-twenties."
    "I let out a sigh, as I looked straight into my light blue eyes."
    "Things happen. Things are probably going to happen again."
    "I knew that whether I liked it or not, I had to get through just one more year of high school."

    stop music fadeout 1.0

    scene bg street

    play music "Raising Money (School).mp3"

    "I opened the door, and walked out, closing it behind me and I started walking."

    show penny normal
    with dissolve

    "Before I had even left the front yard, the front door opened, and my little sister, Penny walked outside."
    "I just ignored her and kept walking. It wouldn't do either of us any good to let her catch up to me."
    "I know that sounds rude, but she's always quiet and avoiding everyone else."
    "All she does whenever she's home is hide in her room. Nobody can talk to her."
    "Well, they {i}can{/i}, but nobody can really get a word out of her."

    hide penny normal
    with dissolve

    "That's why I'm just not going to worry about her at the moment."

    scene bg schoolgate

    "When I finally reached the building, I quietly went inside, not saying a word to the people I passed by in the hallway."
    "Soon, I would get to class and before I knew it, I would be through half of my classes."

    scene bg commons

    "As soon it was time for lunch, I ate alone because I didn't really have any friends I could sit with."
    "Why would I want any anyways? They would just be a part of my life for a moment, only to fade away."
    "I continued to think thoughts like this, but they were interrupted."

    stop music fadeout 1.0

    u "Is it all right if I sit with you?"

    show cara normal
    with dissolve

    "I look up and see a girl, who looks to be about my age."
    a "...Sure."
    "She sat across the table from me, and for what felt like couple minutes, both of us were silent."

    play music "Dream Girl (Cara).mp3"

    show cara shock
    with dissolve

    c "I'm Cara. And you are?"
    a "Amos."

    show cara normal
    with dissolve

    c "I saw you sitting here alone and thought you needed someone to talk to."

    show cara shock
    with dissolve

    a "I probably would've been fine here on my own."

    show cara frown
    with dissolve

    c "...?"
    a "It's not like it matters though. Eventually, I'll be dead and gone and nobody will have cared."

    show cara sad
    with dissolve

    c "Don't say that...!"

    show cara frown
    with dissolve

    a "Even if it's true?"
    c "..."
    a "Why?"

    show cara confused
    with dissolve

    c "Why what?"
    a "Why are you sitting here with me?"

    show cara frown
    with dissolve

    c "Didn't I already tell you?"
    a "You could have chosen to sit anywhere else, yet you chose to sit here."

    show cara normal
    with dissolve

    c "This is my first time at this school and I don't really have any friends."
    a "..."

    show cara confused
    with dissolve

    c "How long have you been going here?"
    a "It's my fourth year."

    show cara sad
    with dissolve

    c "How many friends do you have?"
    a "..."

    show cara eyesmile
    with dissolve

    c "I can be your first friend if you want."
    a "...! I never said I didn't have ANY."
    a "...They're just... gone..."

    show cara shock
    with dissolve

    c "Are they DEAD?"
    a "No... I just don't talk to them."

    show cara frown
    with dissolve

    c "Why not?"
    a "Because I no longer care about them."

    show cara sad
    with dissolve

    c "Why?"
    a "They weren't very good people."

    show cara normal
    with dissolve

    c "Why were you friends with them?"
    a "You ask far too many questions!"

    show cara smile
    with dissolve

    c "I just want a lot of answers."

    show cara shock
    with dissolve

    a "Well, stop."
    a "I don't really care for other people. They're either there or not there. That's how it always is."
    a "Anyways, I'm done eating, so I'm gonna go."

    show cara sad
    with dissolve

    c "Wait!"
    a "No."

    stop music fadeout 1.0

    scene bg hallway

    "I left her alone and went into the hallway and started wandering."

    play music "Raising Money (School).mp3"

    u "Hey."

    show cara normal
    with dissolve

    a "Cara, why'd you follow me?"

    show cara confused
    with dissolve

    c "I didn't want you to be all alone."
    a "I'll... be fine on my own."
    a "I didn't want you to follow me."

    show cara sad
    with dissolve

    c "I wanted to talk to you beacuse you seem lonely."

    show cara frown
    with dissolve

    a "Well, maybe I {i}want{/i} to be lonely. Please just leave me alone."

    show cara sad
    with dissolve

    c "But who am I going to talk to?"
    a "Try a brick wall."
    c "..."

    menu:

        "Maybe I should just go...?"

        "Just Go":

            jump choice1_justgo

        "Stay Here":

            jump choice2_letherstay

label choice1_justgo:

    hide cara sad
    with dissolve

    "I decided to just walk away and spent the next several minutes alone until the bell rang."

    jump caraclass1

label choice2_letherstay:

    $ CaraCount += 1

    "Even though I didn't really want to, I just decided to stay and talk to her."
    a "..."
    c "..."
    a "Say something. I'm not good having conversations."

    show cara shock
    with dissolve

    c "Are you okay?"
    a "I don't know."
    a "If I just left you, I guess I wouldn't really have anything to do, so I'll put up with you for now."

    show cara confused
    with dissolve

    c "...I don't understand you."
    a "I don't understand you either."

    show cara sad
    with dissolve

    c "You seem sad."
    a "...Why is that?"

    show cara frown
    with dissolve

    c "Why are you sad?"
    a "Why are you bothering me?"
    a "I just want to be alone - what don't you get about that?"
    a "A-anyways, I'm fine."

    show cara sad
    with dissolve

    c "...Didn't you say you had no friends...?"
    a "N-no! That's not actually what I said! I-it's just... well, they're gone."
    a "...It would probably be best if you just stayed away... if you avoided me."
    a "In the end, you'd just be another person to vanish after a few years."
    a "I've had enough. Anyways, I think we're done here."

    show cara normal
    with dissolve

    c "...Weren't you the one who stayed behind to talk to me...?"

    show cara confused
    with dissolve

    c "Would you really have done that if you wanted to be alone?"
    a "...I was bored and didn't really have anything else to do."
    "Things went silent for several seconds, but the silence was interrupted by the sound of the bell ringing."

    hide cara confused


label caraclass1:

        if CaraCount == 0:

            $ Lock1Unlocked = False

            jump caraclass_a

        if CaraCount == 1:

            $ Lock1Unlocked = True

            jump caraclass_b

label caraclass_a:

    scene bg classroom

    "I arrived in my last class alone."
    "I sat down at a random desk and waited for the class to start."
    "I was enjoying how peaceful things were until Cara sat down next to me."
    "I felt a bit of disappointment finding out we had the same class."
    "This made me think I should attempt to malinger the next day, but I doubt that would go over well."

    show cara normal
    with dissolve

    c "...Hey."

    a "...*sigh* Hi."

    show cara smile
    with dissolve

    c "How nice of you."

    hide cara smile
    with dissolve

    jump caraclass_c

label caraclass_b:

    "I headed for my next class and Cara followed me."

    show cara normal
    with dissolve

    a "You don't have anyone else you can annoy, do you?"

    show cara eyesmile
    with dissolve

    c "Nope!"
    "It almost bothered me how cheerfully she had answered that."

    show cara normal
    with dissolve

    a "...*sigh*...Whatever."

    scene bg classroom

    "We walked to the same class and I felt a little disappointed realizing we had the same class next."
    "I sat down at a random desk and Cara sat down next to me and we both waited patiently for class to start."

    hide cara normal
    with dissolve

label caraclass_c:

    stop music fadeout 1.0

    play music "Raising Money (School).mp3"

    "A few seconds later, our teacher walked in."
    "I won't lie. Class was pretty boring. Not that I ever expected much from a math class, anyways."
    "It started with our teacher introducing himself and then he passed out a worksheet."
    "It was just a bunch of stuff we should have learned from previous math classes."

    show cara normal
    with dissolve

    "The assigment wasn't easy, but glancing over at Cara's paper made me feel like an idiot."

    hide cara normal
    with dissolve

    "She was twice as far as I was!"
    "I returned my eyes to my own paper and attempted to work but I got stuck."

    show cara shock
    with dissolve

    c "Do you need help?"
    a "...Huh?"

    show cara smile
    with dissolve

    c "I already finished mine!"
    a "...Already...?"

    show cara normal
    with dissolve

    c "Yes."
    a "...I'm fine."

    show cara eyesmile
    with dissolve

    c "You got the first one wrong, by the way."
    a "...*sigh*... Of course, I did..."
    "I erased all the work that I had done on the first problem and tried it again."

    show cara smile
    with dissolve

    c "...Not quite."
    "Of course I was wrong... again. I'm such a damn idiot."
    "Again, I erased everything that I had done and attempted again."

    show cara eyesmile
    with dissolve

    c "Here, let me help you."
    a "...*sigh*..."

    show cara sad
    with dissolve

    a "Please stop helping me. You're stressing me out."

    show cara smile
    with dissolve

    c "...This is how you do the first problem."
    "Ignoring me, she just started writing some math on a piece of paper."
    "I realized I had no choice but to at least half-listen."
    "It was a really long class period."
    "Eventually, the bell rang after what felt like a million years."

    stop music fadeout 1.0

    "This is how my first day of school went."
    "I knew I was going to spend the year dealing with Cara."
    "However, I don't know what the future is going to be like."
    "One of these days, I'll feel happier... I hope."

    return
